# GetProductImage

Get the image associated with an item.

`GET /api/v2/companies/{companyId}/items/{itemId}/images/{imageId}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/GetProductImage/

## Description

Get the image file for the specified image ID linked to the item.
            
This endpoint allows users to retrieve and display product images in user interfaces or to verify the current
image associated with a specific item.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID of the company. |
| `itemId` | integer | path | Yes | The unique ID of the item. |
| `imageId` | string | path | Yes | The unique ID of the image to retrieve. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemImageDetailOutputModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `ItemImageDetailOutputModel`

Item image output model with the image URL

| Property | Type | Required | Description |
|---|---|---|---|
| `imageUrl` | string | No | The image url Example: `string`. |
| `itemImageId` | string | No | Guid Primary key for ItemImage Example: `3abaedf4-4b5c-4a80-9c96-4486ed9995b7`. |
| `itemImageDetailId` | integer | No | Numeric primary key for ItemImage Example: `0`. |
| `companyId` | integer | No | Gets or sets the company ID associated with the item image. Example: `61699`. |
| `itemId` | integer | No | Gets or sets the item ID. Example: `12345`. |
| `createdAt` | string | No | Gets or sets the creation timestamp of the item image. Example: `0001-01-01T00:00:00`. |
| `createdUserId` | integer | No | Gets or sets the ID of the user who created the item image. Example: `12345`. |
| `modifiedAt` | string | No | Gets or sets the last modification timestamp of the item image. Example: `0001-01-01T00:00:00`. |
| `modifiedUserId` | integer | No | Gets or sets the ID of the user who last modified the item image. Example: `12345`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/images/{imageId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```